Subject: Re: bug#8250: 23.3; set-backrgound-color sets incorrect color

From: "David J. Biesack" <[email-masked]>
Date: Thu, 17 Mar 2011 09:46:57 -0400

yes, I did have a $HOME/rbg.txt 
My HOME is C:/djb so the file is c:/djb/rgb.txt

(length (x-load-color-file "c:/gnu/emacs/etc/rgb.txt")) 
752
(length (x-load-color-file "c:/djb/rgb.txt")) 
752

My HOME is not my Windows $USERPROFILE directory, c:/users/... )
However, even if $HOME/rbg.txt is the same as my emacs/etc/rbg.txt file:

$ cp c:/gnu/emacs/etc/rgb.txt ~/rgb.txt 

I still get the same abbreviated color list !

If I remove $HOME/rgb.txt and restart emacs, then M-x list-colors-display 
lists all the expected colors. I'm not sure why it fails with that file there,
since it is the same as the Emacs version; it is readable, etc.

I also tried with HOME pointing to me Windows USERPROFILE :

# export HOME=c:/users/sasdjb
$ cp c:/gnu/emacs/etc/rgb.txt $HOME
$ c:/gnu/emacs/bin/runemacs -q 

and Emacs still does not read the full color list.

**************************

Thanks for your assistance. I consider this issue resolved,
but you may want to pursue why it would fail to properly
load from ~/rgb.txt under Windows 7, and perhaps add documentation on how the 
color list is populated:

w32-default-color-map:
Return the default color map.

list-colors-display:
Display names of defined colors, and show what they look like.
If the optional argument LIST is non-nil, it should be a list of
colors to display.  Otherwise, this command computes a list of
colors that the current display can handle.  If the optional
argument BUFFER-NAME is nil, it defaults to *Colors*.

I can contiue to try things on my end if you need additional
diagnosis (i.e. if there are other environmental factors
that you cannot reproduce).

-- 
David J. Biesack, SAS
SAS Campus Dr. Cary, NC 27513
www.sas.com    (919) 531-7771